> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipment

> Get Shipment



## OpenAPI

````yaml get /v1/shipments/{id}
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/shipments/{id}:
    get:
      tags:
        - Shipment
      summary: Get Shipment
      description: Get Shipment
      parameters:
        - description: Shipment ID
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dtos.ShipmentResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessResponse:
      type: object
      properties:
        data:
          x-order: '1'
    dtos.ShipmentResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        shipment_items:
          type: array
          items:
            $ref: '#/components/schemas/dtos.ShipmentItemsResponse'
          x-order: '2'
        reference_id:
          type: string
          x-order: '3'
          example: '123'
        order_id:
          type: string
          x-order: '4'
          example: '123'
        status:
          type: string
          x-order: '5'
          example: shipped
        tracking_info:
          allOf:
            - $ref: '#/components/schemas/dtos.TrackingInfoResponse'
          x-order: '6'
        created_at:
          type: string
          x-order: '7'
          example: '2021-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '8'
          example: '2021-01-01T00:00:00Z'
        note:
          type: string
          x-order: '9'
          example: Handle with care
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.ShipmentItemsResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: '123'
        sku_id:
          type: string
          x-order: '2'
          example: '123'
        quantity:
          type: integer
          x-order: '5'
          example: 10
    dtos.TrackingInfoResponse:
      type: object
      properties:
        tracking_number:
          type: string
          x-order: '1'
          example: '123'
        tracking_url:
          type: string
          x-order: '2'
          example: https://www.google.com
        delivery_partner:
          type: string
          x-order: '3'
          example: Fedex
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````